For the complete documentation index, see llms.txt. This page is also available as Markdown.

AccountingConfigs

AccountingConfigs

List accounting configs entries

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs

Lists all accounting configs entries belonging to the supplied store

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Response containing a list of accounting configs entries

application/json
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response containing a list of accounting configs entries

{
  "items": [
    {
      "accountingConfigsUid": "text",
      "configType": "ACCOUNTNUMBER",
      "key": "CUSTOMER",
      "value": "text",
      "vatCodeUid": "text",
      "productGroupUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new accounting configs entry

post
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs

This endpoint is mostly legacy, and for internal use. We recommend to use the other endpoints to manage accounting information

Creates a new accounting config entry for the supplied store

For configType ACCOUNTNUMBER is the following keys valid:

Key
Description

CUSTOMER

Account for customer

CUSTOMERDUMMY

Dummy customer account

ERROR

Error account, if no valid account is found

PARTYLYPAIDINVOICE

Account for partyly paid invoices

VATCODE

Account for a specific tax type

CASHFLOAT_DEPOSIT

Deposit cash float into the cash register

CASHFLOAT_WITHDRAWAL

Withdraw cash float from the cash register

CASHFLOAT_TO_BANK

Withdraw cash float and transfer it to the bank

CASHFLOAT_EXPENSE_WITHDRAWAL

Withdraw cash float for expenses throughout the day.

CASHFLOAT_DIFF

Account for cash register till count discrepancies

For configType TREATCODE is the following keys valid:

Key
Description

CREDITLEDGER

Used to credit notes

GENERALLEDGER

Used for general ledger

LEDGE

Used for invoices and other ledger

PAYMENT

Used for payment of invoices

For configType VAT_TYPE_ID is the following keys valid:

Key
Description

BALANCE

VATCODE

Should have a vatCodeUid filled together with the TypeID for the specific VAT code

"

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Accounting configs model

vatCodeUid should always be filled when key is of type VATCODE

accountingConfigUidstringOptionalPattern: ^[A-Za-z0-9-_]+
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201Success
application/json

Accounting configs model

accountingConfigsUidstringOptional
configTypestring · enumOptionalPossible values:
keystring · enumOptionalPossible values:
vatCodeUidstringOptional
valuestringOptional
post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "accountingConfigUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text"
}
201Success
{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "vatCodeUid": "text",
  "value": "text"
}

Get accounting configs entry

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}

Get accounting configs entry for the supplied accountingConfigsUid

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
accountingConfigUidstringRequired

Reference to a Accounting Configs entry.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Response body containing a accounting config entry

Accounting configs model

accountingConfigsUidstringRequired
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response body containing a accounting config entry

{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}

Update accounting config entry

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}

Updates the accounting configs entry belonging to the supplied accountingConfigsUid

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
accountingConfigUidstringRequired

Reference to a Accounting Configs entry.

Pattern: ^[A-Za-z0-9-_]+
Body
valuestringRequired
Responses
200

Response body containing a accounting config entry

Accounting configs model

accountingConfigsUidstringRequired
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]*
put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "value": "text"
}
200

Response body containing a accounting config entry

{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}

Delete accounting config entry

delete
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}

Deletes the accounting configs entry belonging the supplied accountingConfigsUid

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
accountingConfigUidstringRequired

Reference to a Accounting Configs entry.

Pattern: ^[A-Za-z0-9-_]+
Responses
204Success

No content

delete/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204Success

No content

Deprecated

Create a new productgroup account mapping

post
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup

DEPRECATED use /tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups instead

Add a account number to a specific product group. This account number will be used for all products with the specified vatcode in the specific product group and all children

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new account mapping to a product group

accountingConfigUidstringOptionalPattern: ^[A-Za-z0-9-_]+
valuestringRequired

accountNumber

vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
201

Response body containing a accounting config entry

Accounting configs model

accountingConfigsUidstringRequired
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroup HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "accountingConfigUid": "text",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}
201

Response body containing a accounting config entry

{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}

List all productgroups with accounting information

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups

List all product groups with account number specified

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageSizeintegerOptional

The number of items per page in a result set.

pageNumberintegerOptional

Reference to a specific page in a result set.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productGroupUid": "text",
      "vatCodeUid": "text",
      "account": "text",
      "accountingConfigUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new productgroup account mapping

post
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups

Add a account number to a specific product group. This account number will be used for all products with the specified vatcode in the specific product group and all children

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new account mapping to a product group

accountingConfigUidstringOptionalPattern: ^[A-Za-z0-9-_]+
accountstringRequired

accountNumber

vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
201Success
application/json
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
accountstringRequired

Account number

accountingConfigUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "accountingConfigUid": "text",
  "account": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}
201Success
{
  "productGroupUid": "text",
  "vatCodeUid": "text",
  "account": "text",
  "accountingConfigUid": "text"
}

Get all account number information

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers

Get all account number information

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Accounting configs model

customerstringRequired

Account for customers

customerDummystringRequired
errorstringRequired

Error account, used if no valid account is found

partlyPaidInvoicestringRequired

Interim account for partly paid invoices.

cashfloatDepositstringRequired

Deposit cash float into the cash register

cashfloatWithdrawalstringRequired

Withdraw cash float from the cash register

cashfloatToBankstringRequired

Withdraw cash float and transfer it to the bank

cashfloatExpenseWithdrawalstringRequired

Withdraw cash float for expenses throughout the day

cashfloatDiffstringRequired

Account for cash register till count discrepancies

get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "customer": "text",
  "customerDummy": "text",
  "error": "text",
  "partlyPaidInvoice": "text",
  "cashfloatDeposit": "text",
  "cashfloatWithdrawal": "text",
  "cashfloatToBank": "text",
  "cashfloatExpenseWithdrawal": "text",
  "cashfloatDiff": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "account": "text"
    }
  ]
}

Update account number information

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers

Update account number information for a store

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Accounting configs model

customerstringOptional

Account for customers

customerDummystringOptional
errorstringOptional

Error account, used if no valid account is found

partlyPaidInvoicestringOptional

Interim account for partly paid invoices.

cashfloatDepositstringOptional

Deposit cash float into the cash register

cashfloatWithdrawalstringOptional

Withdraw cash float from the cash register

cashfloatToBankstringOptional

Withdraw cash float and transfer it to the bank

cashfloatExpenseWithdrawalstringOptional

Withdraw cash float for expenses throughout the day

cashfloatDiffstringOptional

Account for cash register till count discrepancies

Responses
200

Example response

application/json

Accounting configs model

customerstringRequired

Account for customers

customerDummystringRequired
errorstringRequired

Error account, used if no valid account is found

partlyPaidInvoicestringRequired

Interim account for partly paid invoices.

cashfloatDepositstringRequired

Deposit cash float into the cash register

cashfloatWithdrawalstringRequired

Withdraw cash float from the cash register

cashfloatToBankstringRequired

Withdraw cash float and transfer it to the bank

cashfloatExpenseWithdrawalstringRequired

Withdraw cash float for expenses throughout the day

cashfloatDiffstringRequired

Account for cash register till count discrepancies

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 275

{
  "customer": "text",
  "customerDummy": "text",
  "error": "text",
  "partlyPaidInvoice": "text",
  "cashfloatDeposit": "text",
  "cashfloatWithdrawal": "text",
  "cashfloatToBank": "text",
  "cashfloatExpenseWithdrawal": "text",
  "cashfloatDiff": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "account": "text"
    }
  ]
}
200

Example response

{
  "customer": "text",
  "customerDummy": "text",
  "error": "text",
  "partlyPaidInvoice": "text",
  "cashfloatDeposit": "text",
  "cashfloatWithdrawal": "text",
  "cashfloatToBank": "text",
  "cashfloatExpenseWithdrawal": "text",
  "cashfloatDiff": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "account": "text"
    }
  ]
}

Get all treat codes

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes

Get all treat codes

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Treat codes

creditLedgerstringRequired

Used for credit notes

generalLedgerstringRequired

Used for general ledger

ledgerstringRequired

Used for invoices and other ledgers

paymentstringRequired

Used for payment of invoices

get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "creditLedger": "text",
  "generalLedger": "text",
  "ledger": "text",
  "payment": "text"
}

Update treat codes

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes

Update accounting treat codes for a store

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Treat codes

creditLedgerstringOptional

Used for credit notes

generalLedgerstringOptional

Used for general ledger

ledgerstringOptional

Used for invoices and other ledgers

paymentstringOptional

Used for payment of invoices

Responses
200

Example response

application/json

Treat codes

creditLedgerstringRequired

Used for credit notes

generalLedgerstringRequired

Used for general ledger

ledgerstringRequired

Used for invoices and other ledgers

paymentstringRequired

Used for payment of invoices

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/treatcodes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "creditLedger": "text",
  "generalLedger": "text",
  "ledger": "text",
  "payment": "text"
}
200

Example response

{
  "creditLedger": "text",
  "generalLedger": "text",
  "ledger": "text",
  "payment": "text"
}

Get all VAT types

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes

Get all VAT type

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Treat codes

balancestringRequired

VAT type used for balance transactions

get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "balance": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "value": "text"
    }
  ]
}

Update VAT types

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes

Update accounting VAT type for a store

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body

Treat codes

balancestringOptional

VAT type used for balance transactions

Responses
200

Example response

application/json

Treat codes

balancestringRequired

VAT type used for balance transactions

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/vatTypes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "balance": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "value": "text"
    }
  ]
}
200

Example response

{
  "balance": "text",
  "vatCodes": [
    {
      "vatCodeUid": "text",
      "value": "text"
    }
  ]
}

Customer information with accounting settings

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}

Get customer information including store specific accounting information

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
200Success
application/json
ledgerNumberstringRequired

Ledger number for the customer on the specific store

get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "ledgerNumber": "text"
}

Update customer ledger information

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}

Update customer with store specific accounting information.

Required permissions: ACCOUNTING_CONFIG

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Body
ledgerNumberstringRequired

Ledger number for the customer on the specific store

Responses
200Success
application/json
ledgerNumberstringRequired

Ledger number for the customer on the specific store

put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "ledgerNumber": "text"
}
200Success
{
  "ledgerNumber": "text"
}

Customer information with accounting settings

get
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full

Get full customer information including store specific accounting information

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full
GET /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/customers/{customerUid}/full HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "accounting": {
    "ledgerNumber": "text"
  },
  "customer": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "customerUid": "text",
    "customerParentUid": "text",
    "customerType": "COMPANY",
    "email": "text",
    "externalId": "text",
    "firstname": "text",
    "lastModifiedAt": "2026-01-01T00:00:00.000Z",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "pricelistUid": "text",
    "vatNumber": "text",
    "origin": "text",
    "addresses": [
      {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "firstname": "text",
        "lastname": "text",
        "countryCode": "text",
        "email": "text",
        "phone": "text",
        "postalCode": "text",
        "type": "DELIVERY_ADDRESS",
        "customerAddressUid": "text",
        "displayName": "text"
      }
    ],
    "contacts": [
      {
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "customerContactUid": "text",
        "extensions": [
          {
            "extensionCode": "TWO_INVOICE",
            "organizationUid": "text"
          }
        ],
        "displayName": "text",
        "role": "ADMIN"
      }
    ],
    "extensions": [
      {
        "extensionCode": "TWO_INVOICE",
        "organizationUid": "text"
      }
    ],
    "consents": [
      {
        "consentUid": "text",
        "name": "text",
        "status": true,
        "source": "text",
        "createdAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "loyaltyId": "text",
    "displayName": "text",
    "credit": {
      "limit": 1,
      "balance": 1
    },
    "paymentTerms": 1,
    "internalNote": "text",
    "accountManager": {
      "tenantUserUid": "text",
      "displayName": "text",
      "userCode": "text"
    },
    "ehfEnabled": true,
    "ehf": {
      "enabled": true,
      "address": "text"
    },
    "customerGroupUids": [
      "text"
    ],
    "defaultStore": {
      "name": "text",
      "storeUid": "text"
    },
    "relevance": 1
  }
}

Last updated